GIT-LOG(1)

NAME
git-log - Show commit logs

SYNOPSIS
git-log <option>....sp

DESCRIPTION
Shows the commit logs. This command internally invokes git-rev-list, and the command line options are passed to that command..sp This manual page describes only the most frequently used options..sp

OPTIONS

--pretty=<format>
    Controls the way the commit log is formatted.

--max-count=<n>
    Limits the number of commits to show.

<since>..<until>
    Show only commits between the named two commits.

EXAMPLES

git log --no-merges
    Show the whole commit history, but skip any merges

git log v2.6.12.. include/scsi drivers/scsi
    Show all commits since version v2.6.12 that changed any file in the include/scsi or drivers/scsi subdirectories

git log --since="2 weeks ago" — gitk
    Show the changes during the last two weeks to the file gitk. The "--" is necessary to avoid confusion with the branch named gitk

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org>.sp

DOCUMENTATION
Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>..sp

GIT
Part of the git(7) suite.sp